| Classes - Annotated - Tree - Functions - Home - Structure

# QTextDecoder Class Reference

State-based decoder More...

`#include <qtextcodec.h>`

List of all member functions.

## Public Members

- virtual ~QTextDecoder ()
- virtual QString toUnicode ( const char * chars, int len )

## Detailed Description

State-based decoder

A QTextEncoder converts a text format into Unicode, remembering any state that is required between calls.

See also QTextCodec::makeEncoder().

## Member Function Documentation

### QTextDecoder::~QTextDecoder () `[virtual]`

Destructs the decoder.

### QString QTextDecoder::toUnicode ( const char * chars, int len ) `[virtual]`

Converts the first len bytes at chars to Unicode, returning the result.

If not all characters are used (eg. only part of a multi-byte encoding is at the end of the characters), the decoder remembers enough state to continue with the next call to this function.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.